org.apache.ignite.compute

## Class ComputeTaskCancelledException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.compute.ComputeTaskCancelledException

- All Implemented Interfaces:
    Serializable

      public class ComputeTaskCancelledException
      extends IgniteException

  This exception indicates that grid task was cancelled.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComputeTaskCancelledException(String msg)` Creates new task cancellation exception with given error message.
    `ComputeTaskCancelledException(String msg, @Nullable Throwable cause)` Creates new task cancellation exception with given error message and optional nested exception.
    `ComputeTaskCancelledException(Throwable cause)` Creates new task cancellation exception given throwable as a cause and source of error message.

  - ### Method Summary

    - ### Methods inherited from class org.apache.ignite.IgniteException

      `getCause, hasCause, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ComputeTaskCancelledException

          public ComputeTaskCancelledException(String msg)

      Creates new task cancellation exception with given error message.
      Parameters:
        `msg` - Error message.

    - #### ComputeTaskCancelledException

          public ComputeTaskCancelledException(Throwable cause)

      Creates new task cancellation exception given throwable as a cause and source of error message.
      Parameters:
        `cause` - Non-null throwable cause.

    - #### ComputeTaskCancelledException

          public ComputeTaskCancelledException(String msg,
                                               @Nullable
                                               @Nullable Throwable cause)

      Creates new task cancellation exception with given error message and optional nested exception.
      Parameters:
        `msg` - Error message.
        `cause` - Optional nested exception (can be `null`).

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023